=== modified file 'lib/canonical/configure.zcml'
--- lib/canonical/configure.zcml	2011-12-24 17:49:30 +0000
+++ lib/canonical/configure.zcml	2011-12-24 18:33:21 +0000
@@ -48,7 +48,7 @@
     <browser:page
         for="lp.services.webapp.interfaces.ILaunchpadProtocolError"
         class="lp.services.webapp.error.ProtocolErrorView"
-        template="launchpad/webapp/templates/protocol-error.pt"
+        template="../lp/services/webapp/templates/protocol-error.pt"
         name="index.html"
         permission="zope.Public"
         />

=== modified file 'lib/canonical/launchpad/configure.zcml'
--- lib/canonical/launchpad/configure.zcml	2011-12-24 17:49:30 +0000
+++ lib/canonical/launchpad/configure.zcml	2011-12-24 18:33:21 +0000
@@ -8,10 +8,4 @@
   xmlns:i18n="http://namespaces.zope.org/i18n"
   i18n_domain="launchpad">
 
-  <include package="lp.services.webapp" />
-
-  <!-- Register a handler to fix things up just before the application
-       starts (and after zcml has been processed). -->
-  <subscriber handler=".webapp.initialization.handle_process_start" />
-
 </configure>

=== modified file 'lib/canonical/lazr/doc/menus.txt'
--- lib/canonical/lazr/doc/menus.txt	2011-12-24 17:49:30 +0000
+++ lib/canonical/lazr/doc/menus.txt	2011-12-24 18:33:21 +0000
@@ -588,7 +588,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <browser:menus
     ...     module="canonical.lazr.cookingexample"
     ...     classes="

=== modified file 'lib/lp/configure.zcml'
--- lib/lp/configure.zcml	2011-12-24 16:54:44 +0000
+++ lib/lp/configure.zcml	2011-12-24 18:33:21 +0000
@@ -13,6 +13,7 @@
     <include file="permissions.zcml" />
 
     <i18n:registerTranslations directory="locales" />
+
     <webservice:register module="lp.patchwebservice" />
 
     <authorizations module="lp.security" />
@@ -33,4 +34,7 @@
     <include package="lp.registry" />
     <include package="lp.xmlrpc" />
 
+    <!-- Register a handler to fix things up just before the application
+         starts (and after zcml has been processed). -->
+    <subscriber handler=".services.webapp.initialization.handle_process_start" />
 </configure>

=== modified file 'lib/lp/registry/feed/announcement.py'
--- lib/lp/registry/feed/announcement.py	2011-12-24 17:49:30 +0000
+++ lib/lp/registry/feed/announcement.py	2011-12-24 18:33:21 +0000
@@ -113,11 +113,11 @@
 
     # The `usedfor` property identifies the class associated with this feed
     # class.  It is used by the `IFeedsDirective` in
-    # launchpad/webapp/metazcml.py to provide a mapping from the supported
+    # webapp/metazcml.py to provide a mapping from the supported
     # feed types to this class.  It is a more maintainable method than simply
     # listing each mapping in the zcml.  The only zcml change is to add this
     # class to the list of classes in the `browser:feeds` stanza of
-    # launchpad/zcml/feeds.zcml.
+    # lp/services/feeds/configure.zcml.
     usedfor = IFeedsApplication
 
     def _getItemsWorker(self):

=== modified file 'lib/lp/services/configure.zcml'
--- lib/lp/services/configure.zcml	2011-12-22 12:53:37 +0000
+++ lib/lp/services/configure.zcml	2011-12-24 18:33:21 +0000
@@ -3,6 +3,7 @@
 -->
 
 <configure xmlns="http://namespaces.zope.org/zope">
+  <include package=".webapp" />
   <include package=".authserver" />
   <include package=".comments" />
   <include package=".database" />

=== modified file 'lib/lp/services/webapp/configure.zcml'
--- lib/lp/services/webapp/configure.zcml	2011-12-24 17:50:18 +0000
+++ lib/lp/services/webapp/configure.zcml	2011-12-24 18:33:21 +0000
@@ -232,7 +232,7 @@
     </class>
 
     <!-- Default favicon -->
-    <browser:favicon for="*" file="../images/launchpad.png" />
+    <browser:favicon for="*" file="../../../canonical/launchpad/images/launchpad.png" />
 
     <!-- LaunchBag Utility -->
     <utility

=== modified file 'lib/lp/services/webapp/doc/canonical_url.txt'
--- lib/lp/services/webapp/doc/canonical_url.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/doc/canonical_url.txt	2011-12-24 18:33:21 +0000
@@ -98,7 +98,7 @@
     >>> from zope.configuration import xmlconfig
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <browser:url
     ...       for="lp.testing.ITown"
     ...       path_expression="string:+towns/${name}"
@@ -113,7 +113,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <browser:url
     ...       for="lp.testing.ITown"
     ...       path_expression="string:+towns/${name}"
@@ -147,7 +147,7 @@
     ... <configure
     ...     xmlns="http://namespaces.zope.org/zope"
     ...     xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <configure package="zope.app.component">
     ...       <include file="meta.zcml" />
     ...   </configure>
@@ -207,7 +207,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <browser:url
     ...       for="lp.testing.ICountrySet"
     ...       urldata="lp.testing.CountrySetUrl"
@@ -418,7 +418,7 @@
     ... <configure
     ...     xmlns="http://namespaces.zope.org/zope"
     ...     xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <configure package="zope.app.component">
     ...       <include file="meta.zcml" />
     ...   </configure>

=== modified file 'lib/lp/services/webapp/doc/menus.txt'
--- lib/lp/services/webapp/doc/menus.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/doc/menus.txt	2011-12-24 18:33:21 +0000
@@ -658,7 +658,7 @@
     >>> from zope.configuration import xmlconfig
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser">
-    ...   <include file="lib/canonical/launchpad/webapp/meta.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta.zcml" />
     ...   <browser:menus
     ...       module="lp.testing"
     ...       classes="FacetsForThing FooMenuForThing ContextMenuForThing"

=== modified file 'lib/lp/services/webapp/doc/test_adapter_timeout.txt.disabled'
--- lib/lp/services/webapp/doc/test_adapter_timeout.txt.disabled	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/doc/test_adapter_timeout.txt.disabled	2011-12-24 18:33:21 +0000
@@ -1,7 +1,7 @@
 The lp.services.webapp.adapter code constrains the amount of time that
 a request can take.
 
-The document canonical/launchpad/webapp/ftests/test_adapter.txt shows its
+The document webapp/ftests/test_adapter.txt shows its
 behavior in detail.  This document shows the behavior within the context of a
 page test.
 

=== modified file 'lib/lp/services/webapp/doc/timeout.txt'
--- lib/lp/services/webapp/doc/timeout.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/doc/timeout.txt	2011-12-24 18:33:21 +0000
@@ -2,8 +2,7 @@
 
 Launchpad request shouldn't take more than a fix number of seconds to
 complete. The database adapter issues RequestExpired errors when the
-database takes too long to respond (see
-lib/canonical/launchpad/webapp/ftests/test_adapter.txt)
+database takes too long to respond (see webapp/ftests/test_adapter.txt)
 
 The app server is also configured with a default timeout function (for
 functions wrapped with the @with_timeout decorator) that computes the

=== modified file 'lib/lp/services/webapp/doc/zcmldirectives.txt'
--- lib/lp/services/webapp/doc/zcmldirectives.txt	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/doc/zcmldirectives.txt	2011-12-24 18:33:21 +0000
@@ -136,7 +136,7 @@
     >>> from zope.configuration import xmlconfig
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser"
-    ...     package="canonical.launchpad">
+    ...     package="lp.services">
     ...   <include file="webapp/meta-overrides.zcml" />
     ...   <browser:page
     ...     for="lp.testing.IFoo"
@@ -200,45 +200,6 @@
     >>> P.page(context, name, facet=facet)
     >>> P.page(context, "OTHER NAME")
 
-# This is a pointless test. See pointless test comment above
-# -- StuartBishop 20060411
-#     >>> context
-#     ((None,
-#       <function provideInterface>,
-#       ('', 'FOR_')),
-#      (('view',
-#        'FOR_',
-#        'NAME',
-#        <InterfaceClass zope.publisher.interfaces.browser.IBrowserRequest>,
-#        <InterfaceClass zope.publisher.interfaces.browser.IBrowserRequest>),
-#       <function handler>,
-#       ('Adapters',
-#        'register',
-#        ('FOR_',
-#         <InterfaceClass zope.publisher.interfaces.browser.IBrowserRequest>),
-#        <InterfaceClass zope.interface.Interface>,
-#        'NAME',
-#        <class 'zope.app.publisher.browser.viewmeta.SimpleLaunchpadViewClass'>,
-#        'INFO')),
-#      (None,
-#       <function provideInterface>,
-#       ('', 'FOR_')),
-#      (('view',
-#        'FOR_',
-#        'OTHER NAME',
-#        <InterfaceClass zope.publisher.interfaces.browser.IBrowserRequest>,
-#        <InterfaceClass zope.publisher.interfaces.browser.IBrowserRequest>),
-#       <function handler>,
-#       ('Adapters',
-#        'register',
-#        ('FOR_',
-#         <InterfaceClass zope.publisher.interfaces.browser.IBrowserRequest>),
-#        <InterfaceClass zope.interface.Interface>,
-#        'OTHER NAME',
-#        <class 'zope.app.publisher.browser.viewmeta.SimpleLaunchpadViewClass'>,
-#        'INFO')))
-
-
 Look for the SimpleLaunchpadViewClass in the data structure above, and check
 its __launchpad_facetname__ attribute.
 
@@ -260,7 +221,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser"
-    ...     package="canonical.launchpad">
+    ...     package="lp.services">
     ...   <include file="webapp/meta-overrides.zcml" />
     ...   <browser:pages
     ...     for="lp.testing.IFoo"
@@ -354,7 +315,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser"
-    ...     package="canonical.launchpad">
+    ...     package="lp.services">
     ...   <include file="webapp/meta-overrides.zcml" />
     ...   <browser:editform
     ...     for="lp.testing.IFoo"
@@ -437,7 +398,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser"
-    ...     package="canonical.launchpad">
+    ...     package="lp.services">
     ...   <include file="webapp/meta-overrides.zcml" />
     ...   <browser:addform
     ...     for="lp.testing.IFoo"
@@ -517,7 +478,7 @@
 
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns:browser="http://namespaces.zope.org/browser"
-    ...     package="canonical.launchpad">
+    ...     package="lp.services">
     ...   <include file="webapp/meta-overrides.zcml" />
     ...   <browser:schemadisplay
     ...     for="lp.testing.IFoo"
@@ -561,7 +522,7 @@
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns="http://namespaces.zope.org/zope"
     ...            xmlns:browser="http://namespaces.zope.org/browser"
-    ...     package="canonical.launchpad">
+    ...     package="lp.services">
     ...   <include file="webapp/meta.zcml" />
     ...   <include file="webapp/meta-overrides.zcml" />
     ...   <facet facet="whole-facet">
@@ -634,7 +595,7 @@
     >>> zcmlcontext = xmlconfig.string("""
     ... <configure xmlns="http://namespaces.zope.org/zope"
     ...     i18n_domain="canonical">
-    ...   <include file="lib/canonical/launchpad/webapp/meta-overrides.zcml" />
+    ...   <include file="lib/lp/services/webapp/meta-overrides.zcml" />
     ...   <permission id="foo.bar" title="Foo Bar" access_level="read" />
     ... </configure>
     ... """)

=== modified file 'lib/lp/services/webapp/publication.py'
--- lib/lp/services/webapp/publication.py	2011-12-24 17:49:30 +0000
+++ lib/lp/services/webapp/publication.py	2011-12-24 18:33:21 +0000
@@ -333,9 +333,8 @@
         auth_utility = getUtility(IPlacelessAuthUtility)
         principal = None
         # +opstats and +haproxy are status URLs that must not query the DB at
-        # all.  This is enforced (see
-        # lib/canonical/launchpad/webapp/dbpolicy.py). If the request is for
-        # one of those two pages, don't even try to authenticate, because we
+        # all.  This is enforced by webapp/dbpolicy.py. If the request is for
+        # one of those two pages, don't even try to authenticate, because it
         # may fail.  We haven't traversed yet, so we have to sniff the request
         # this way.  Even though PATH_INFO is always present in real requests,
         # we need to tread carefully (``get``) because of test requests in our

=== modified file 'utilities/list-pages'
--- utilities/list-pages	2011-12-24 17:49:30 +0000
+++ utilities/list-pages	2011-12-24 18:33:21 +0000
@@ -192,7 +192,7 @@
         args.extend('%s=%r' % (k, v) for k, v in kwargs.iteritems())
         # If we're being called with no args, assume this is part of crazy
         # TALES stuff:
-        #   lib/canonical/launchpad/webapp/metazcml.py(365)path()
+        #   webapp/metazcml.py(365)path()
         #   -> return self._compiled_path_expression(self._expression_context)
         if args:
             name = '%s(%s)' % (self._name, ', '.join(args))

=== modified file 'utilities/snakefood/lp-sfood-packages'
--- utilities/snakefood/lp-sfood-packages	2011-11-28 08:31:06 +0000
+++ utilities/snakefood/lp-sfood-packages	2011-12-24 18:33:21 +0000
@@ -21,7 +21,6 @@
 canonical/lp
 canonical/librarian
 canonical/lazr
-canonical/launchpad/webapp
 canonical/launchpad
 canonical/database/testing
 canonical/database

